## org.gnu.gtk
Interface KeySnoopMethod

public interface KeySnoopMethod

Interface that can be used to intercept all key events before they are delivered normally. It can be used to implement custom key event handling.

See Also:
  `Gtk.setKeySnoopMethod(org.gnu.gtk.KeySnoopMethod)`

Method Summary
`boolean` `keyEvent(Widget widget, EventKey event)` Method invoked when a key event occurs.

Method Detail

### keyEvent

    public boolean keyEvent(Widget widget,
                            EventKey event)

  Method invoked when a key event occurs. This method is called before normal event delivery and can be used to implement custom key event handling.

  Parameters:
    `widget` - The widget to which the event will be delivered.
    `event` - The key event.
  Returns:
    TRUE to stop further processing of event, FALSE to continue.